Abstract class for services that display messages.

abstract

### Hierarchy

- default
  - MessageNotification

## Index

### Constructors

- constructor

### Methods

- error
- info
- show
- success
- warn

## Constructors

### constructor

- new default(): default

- #### Returns default

## Methods

### error

- error(message: string | string[]): void

- - Defined in src/message/Message.ts:89

  Display the given error message or list of error messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### info

- info(message: string | string[]): void

- - Defined in src/message/Message.ts:98

  Display the given info message or list of info messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### show

- show(object: string | Message | (string | Message)[]): void

- - Defined in src/message/Message.ts:79

  Show disclaimer message string or object or list of disclame message strings or objects.

  #### Parameters

  - ##### object: string | Message | (string | Message)[]

    A message or list of messages as text or configuration objects.

  #### Returns void

### success

- success(message: string | string[]): void

- - Defined in src/message/Message.ts:107

  Display the given success message or list of success messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### warn

- warn(message: string | string[]): void

- - Defined in src/message/Message.ts:116

  Display the given warning message or list of warning messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

Generated using TypeDoc